<template>
  <div class="payment-order-header">
    <div class="payment-order-header--title">
      {{ service.addServiceTitle }}
    </div>
    <div class="payment-order-header--path">
      <span>География</span>
      <span>
        <template v-if="service.locationTitle">
          {{ service.locationTitle }}
        </template>
        <template v-else-if="service.locationFromTitle && service.locationToTitle">
          {{ service.locationFromTitle }} → {{ service.locationToTitle }}
        </template>
        <template v-else>
          без привязки
        </template>
      </span>
    </div>
    <div class="payment-order-header--amount">
      <span>Сумма к оплате</span>
      <span
        :class="{
          'color-error': service.amount && service.amount < 0
        }"
      >
        {{ service.amount / 100 | currency({ dot: 2 }) }}
      </span>
    </div>
  </div>
</template>

<script>
  export default {
    name: "headerPayment",
    props: {
      service: {
        type:  Object,
        default: () => []
      }
    }
  }
</script>

<style scoped lang="scss">
  .payment-order-header {
    display: flex;
    align-items: center;
    padding: 15px 20px;
    border-bottom: none;
    background: $light-lavender;
    &--title {
      flex: 2;
      font-size: 16px;
      line-height: 20px;
      letter-spacing: 0.2px;
      color: #191E32;
    }
    &--path {
      width: 300px;
    }
    &--amount {
      width: 200px;
      text-align: right;
    }
    &--path, &--amount {
      margin-left: 40px;
      span {
        display: block;
        &:first-child {
          letter-spacing: 0.4px;
          text-transform: uppercase;
          font-size: 9px;
          line-height: 12px;
          color: $shale-gray;
        }
        &:last-child {
          font-size: 14px;
          line-height: 20px;
          letter-spacing: 0.2px;
          color: $color-text-base;
        }
        i {
          font-size: 9px;
        }
      }
    }
  }
</style>
